com.jogamp.common.os

## Enum Platform.CPUFamily

- java.lang.Object
- - java.lang.Enum<Platform.CPUFamily>
  - - com.jogamp.common.os.Platform.CPUFamily

- All Implemented Interfaces:
    Serializable, Comparable<Platform.CPUFamily>
  Enclosing class:
    Platform

      public static enum Platform.CPUFamily
      extends Enum<Platform.CPUFamily>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARM` ARM
    `IA64` Itanium
    `MIPS` Mips
    `PA_RISC` PA RISC
    `PPC` Power PC
    `SPARC` SPARC
    `X86` AMD/Intel

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Platform.CPUFamily` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Platform.CPUFamily[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### X86

          public static final Platform.CPUFamily X86

      AMD/Intel

    - #### ARM

          public static final Platform.CPUFamily ARM

      ARM

    - #### PPC

          public static final Platform.CPUFamily PPC

      Power PC

    - #### SPARC

          public static final Platform.CPUFamily SPARC

      SPARC

    - #### MIPS

          public static final Platform.CPUFamily MIPS

      Mips

    - #### PA_RISC

          public static final Platform.CPUFamily PA_RISC

      PA RISC

    - #### IA64

          public static final Platform.CPUFamily IA64

      Itanium

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static Platform.CPUFamily[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Platform.CPUFamily c : Platform.CPUFamily.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Platform.CPUFamily valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null